summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Christoph Willing2018-05-25 06:36:08 +0200
committer Willy Sudiarto Raharjo2018-05-26 01:59:29 +0200
commit044df79b35a115f5a0ec6de781a7696fef7cdbbe (patch)
tree1b0b8ad78e33a35914933821ff8cf0f2a3027e9e /libraries
parentbfea8b8bfc4be4927578c4daf25907c0163ca3c1 (diff)
downloadslackbuilds-044df79b35a115f5a0ec6de781a7696fef7cdbbe.tar.gz
libraries/OpenSceneGraph: Updated for version 3.5.5 + new maintainer
Signed-off-by: Christoph Willing <chris.willing@linux.com>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild29
-rw-r--r--libraries/OpenSceneGraph/OpenSceneGraph.info10
-rw-r--r--libraries/OpenSceneGraph/README4
-rw-r--r--libraries/OpenSceneGraph/ffmpeg3.patch158
4 files changed, 24 insertions, 177 deletions
diff --git a/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild b/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
index ba5dcda856..a7319c1e01 100644
--- a/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
+++ b/libraries/OpenSceneGraph/OpenSceneGraph.SlackBuild
@@ -4,10 +4,11 @@
# Written by Aleksandar Samardzic <asamardzic@gmail.com>
# Maintained by Jordan Evans <jordanevans19@gmail.com>
+# Maintained 2018 by Christoph Willing <chris.willing@linux.com>
PRGNAM=OpenSceneGraph
-VERSION=${VERSION:-3.4.0}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.5.5}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -37,14 +38,18 @@ else
LIBDIRSUFFIX=""
fi
+# Support OpenCASCADE, if installed
+occ=""; ls -l /var/log/packages/OpenCASCADE* 2>/dev/null 1>/dev/null
+[ $? -eq 0 ] && occ="-DOPENCASCADE_INCLUDE_DIR=/opt/OpenCASCADE/inc -DOPENCASCADE_LIBRARY_TYPE=Shared"
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-unzip $CWD/$PRGNAM-$VERSION.zip
-cd $PRGNAM-$VERSION
+tar xf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -52,18 +57,16 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# Thanks to ARCH
-patch -p2 < $CWD/ffmpeg3.patch
-
mkdir -p build
cd build
- cmake \
+ cmake .. \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -std=c++11" \
-DCMAKE_INSTALL_PREFIX=/usr \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DMAN_INSTALL_DIR=/usr/man \
- -DCMAKE_BUILD_TYPE=Release ..
+ -DCMAKE_BUILD_TYPE=Release \
+ $occ \
+ -DBUILD_OSG_EXAMPLES=ON \
+
make
make install DESTDIR=$PKG
cd ..
@@ -72,7 +75,7 @@ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | gr
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.txt ChangeLog LICENSE.txt NEWS.txt README* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/libraries/OpenSceneGraph/OpenSceneGraph.info b/libraries/OpenSceneGraph/OpenSceneGraph.info
index b1b1c09e12..be0333839f 100644
--- a/libraries/OpenSceneGraph/OpenSceneGraph.info
+++ b/libraries/OpenSceneGraph/OpenSceneGraph.info
@@ -1,10 +1,10 @@
PRGNAM="OpenSceneGraph"
-VERSION="3.4.0"
+VERSION="3.5.5"
HOMEPAGE="http://www.openscenegraph.org/"
-DOWNLOAD="http://www.openscenegraph.org/downloads/stable_releases/OpenSceneGraph-3.4.0/source/OpenSceneGraph-3.4.0.zip"
-MD5SUM="a5e762c64373a46932e444f6f7332496"
+DOWNLOAD="https://github.com/openscenegraph/OpenSceneGraph/archive/OpenSceneGraph-3.5.5.tar.gz"
+MD5SUM="af7b1719c656192e69694cb12fcc4106"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
-MAINTAINER="Jordan Evans"
-EMAIL="jordanevans19@gmail.com"
+MAINTAINER="Christoph Willing"
+EMAIL="chris.willing@linux.com"
diff --git a/libraries/OpenSceneGraph/README b/libraries/OpenSceneGraph/README
index d52ee36bd1..7abae38889 100644
--- a/libraries/OpenSceneGraph/README
+++ b/libraries/OpenSceneGraph/README
@@ -7,4 +7,6 @@ from implementing and optimizing low level graphics calls, and
provides many additional utilities for rapid development of graphics
applications.
-ffmpeg, gdal and gtkglext are optional dependencies.
+Plugins for a number of additional features will be automatically generated
+using the following optional packages if they are detected at build time:
+dcmtk, ffmpeg, gdal, gtkglext, libgta, nvidia-texture-tools, OpenCASCADE, SDL2
diff --git a/libraries/OpenSceneGraph/ffmpeg3.patch b/libraries/OpenSceneGraph/ffmpeg3.patch
deleted file mode 100644
index 7af736ce12..0000000000
--- a/libraries/OpenSceneGraph/ffmpeg3.patch
+++ /dev/null
@@ -1,158 +0,0 @@
-Description: Replace deprecated FFmpeg API
-Author: Andreas Cadhalpun <Andreas.Cadhalpun@googlemail.com>
-Last-Update: <2015-11-02>
-
---- openscenegraph-3.2.1.orig/OpenSceneGraph/src/osgPlugins/ffmpeg/FFmpegDecoderVideo.cpp
-+++ openscenegraph-3.2.1/OpenSceneGraph/src/osgPlugins/ffmpeg/FFmpegDecoderVideo.cpp
-@@ -71,7 +71,7 @@ void FFmpegDecoderVideo::open(AVStream *
- findAspectRatio();
-
- // Find out whether we support Alpha channel
-- m_alpha_channel = (m_context->pix_fmt == PIX_FMT_YUVA420P);
-+ m_alpha_channel = (m_context->pix_fmt == AV_PIX_FMT_YUVA420P);
-
- // Find out the framerate
- m_frame_rate = av_q2d(stream->avg_frame_rate);
-@@ -91,20 +91,19 @@ void FFmpegDecoderVideo::open(AVStream *
- throw std::runtime_error("avcodec_open() failed");
-
- // Allocate video frame
-- m_frame.reset(avcodec_alloc_frame());
-+ m_frame.reset(av_frame_alloc());
-
- // Allocate converted RGB frame
-- m_frame_rgba.reset(avcodec_alloc_frame());
-- m_buffer_rgba[0].resize(avpicture_get_size(PIX_FMT_RGB24, width(), height()));
-+ m_frame_rgba.reset(av_frame_alloc());
-+ m_buffer_rgba[0].resize(avpicture_get_size(AV_PIX_FMT_RGB24, width(), height()));
- m_buffer_rgba[1].resize(m_buffer_rgba[0].size());
-
- // Assign appropriate parts of the buffer to image planes in m_frame_rgba
-- avpicture_fill((AVPicture *) (m_frame_rgba).get(), &(m_buffer_rgba[0])[0], PIX_FMT_RGB24, width(), height());
-+ avpicture_fill((AVPicture *) (m_frame_rgba).get(), &(m_buffer_rgba[0])[0], AV_PIX_FMT_RGB24, width(), height());
-
- // Override get_buffer()/release_buffer() from codec context in order to retrieve the PTS of each frame.
- m_context->opaque = this;
-- m_context->get_buffer = getBuffer;
-- m_context->release_buffer = releaseBuffer;
-+ m_context->get_buffer2 = getBuffer;
- }
-
-
-@@ -263,8 +262,8 @@ int FFmpegDecoderVideo::convert(AVPictur
- #ifdef USE_SWSCALE
- if (m_swscale_ctx==0)
- {
-- m_swscale_ctx = sws_getContext(src_width, src_height, (PixelFormat) src_pix_fmt,
-- src_width, src_height, (PixelFormat) dst_pix_fmt,
-+ m_swscale_ctx = sws_getContext(src_width, src_height, (AVPixelFormat) src_pix_fmt,
-+ src_width, src_height, (AVPixelFormat) dst_pix_fmt,
- /*SWS_BILINEAR*/ SWS_BICUBIC, NULL, NULL, NULL);
- }
-
-@@ -311,14 +310,14 @@ void FFmpegDecoderVideo::publishFrame(co
- AVPicture * const dst = (AVPicture *) m_frame_rgba.get();
-
- // Assign appropriate parts of the buffer to image planes in m_frame_rgba
-- avpicture_fill((AVPicture *) (m_frame_rgba).get(), &(m_buffer_rgba[m_writeBuffer])[0], PIX_FMT_RGB24, width(), height());
-+ avpicture_fill((AVPicture *) (m_frame_rgba).get(), &(m_buffer_rgba[m_writeBuffer])[0], AV_PIX_FMT_RGB24, width(), height());
-
- // Convert YUVA420p (i.e. YUV420p plus alpha channel) using our own routine
-
-- if (m_context->pix_fmt == PIX_FMT_YUVA420P)
-+ if (m_context->pix_fmt == AV_PIX_FMT_YUVA420P)
- yuva420pToRgba(dst, src, width(), height());
- else
-- convert(dst, PIX_FMT_RGB24, src, m_context->pix_fmt, width(), height());
-+ convert(dst, AV_PIX_FMT_RGB24, src, m_context->pix_fmt, width(), height());
-
- // Wait 'delay' seconds before publishing the picture.
- int i_delay = static_cast<int>(delay * 1000000 + 0.5);
-@@ -345,7 +344,7 @@ void FFmpegDecoderVideo::publishFrame(co
-
- void FFmpegDecoderVideo::yuva420pToRgba(AVPicture * const dst, AVPicture * const src, int width, int height)
- {
-- convert(dst, PIX_FMT_RGB24, src, m_context->pix_fmt, width, height);
-+ convert(dst, AV_PIX_FMT_RGB24, src, m_context->pix_fmt, width, height);
-
- const size_t bpp = 4;
-
-@@ -363,31 +362,28 @@ void FFmpegDecoderVideo::yuva420pToRgba(
- }
- }
-
--
--
--int FFmpegDecoderVideo::getBuffer(AVCodecContext * const context, AVFrame * const picture)
-+int FFmpegDecoderVideo::getBuffer(AVCodecContext * const context, AVFrame * const picture, int flags)
- {
-+ AVBufferRef *ref;
- const FFmpegDecoderVideo * const this_ = reinterpret_cast<const FFmpegDecoderVideo*>(context->opaque);
-
-- const int result = avcodec_default_get_buffer(context, picture);
-+ const int result = avcodec_default_get_buffer2(context, picture, flags);
- int64_t * p_pts = reinterpret_cast<int64_t*>( av_malloc(sizeof(int64_t)) );
-
- *p_pts = this_->m_packet_pts;
- picture->opaque = p_pts;
-
-+ ref = av_buffer_create((uint8_t *)picture->opaque, sizeof(int64_t), FFmpegDecoderVideo::freeBuffer, picture->buf[0], flags);
-+ picture->buf[0] = ref;
-+
- return result;
- }
-
--
--
--void FFmpegDecoderVideo::releaseBuffer(AVCodecContext * const context, AVFrame * const picture)
-+void FFmpegDecoderVideo::freeBuffer(void *opaque, uint8_t *data)
- {
-- if (picture != 0)
-- av_freep(&picture->opaque);
--
-- avcodec_default_release_buffer(context, picture);
-+ AVBufferRef *ref = (AVBufferRef *)opaque;
-+ av_buffer_unref(&ref);
-+ av_free(data);
- }
-
--
--
- } // namespace osgFFmpeg
---- openscenegraph-3.2.1.orig/OpenSceneGraph/src/osgPlugins/ffmpeg/FFmpegDecoderVideo.hpp
-+++ openscenegraph-3.2.1/OpenSceneGraph/src/osgPlugins/ffmpeg/FFmpegDecoderVideo.hpp
-@@ -94,8 +94,8 @@ private:
- int src_pix_fmt, int src_width, int src_height);
-
-
-- static int getBuffer(AVCodecContext * context, AVFrame * picture);
-- static void releaseBuffer(AVCodecContext * context, AVFrame * picture);
-+ static int getBuffer(AVCodecContext * context, AVFrame * picture, int flags);
-+ static void freeBuffer(void * opaque, uint8_t *data);
-
- PacketQueue & m_packets;
- FFmpegClocks & m_clocks;
---- openscenegraph-3.2.1.orig/OpenSceneGraph/src/osgPlugins/ffmpeg/FFmpegParameters.cpp
-+++ openscenegraph-3.2.1/OpenSceneGraph/src/osgPlugins/ffmpeg/FFmpegParameters.cpp
-@@ -19,7 +19,7 @@ extern "C"
- #include <libavutil/pixdesc.h>
- }
-
--inline PixelFormat osg_av_get_pix_fmt(const char *name) { return av_get_pix_fmt(name); }
-+inline AVPixelFormat osg_av_get_pix_fmt(const char *name) { return av_get_pix_fmt(name); }
-
-
- namespace osgFFmpeg {
---- src/OpenSceneGraph-3.4.0/src/osgPlugins/ffmpeg/FFmpegDecoderAudio.cpp.orig 2016-02-18 21:25:39.627923629 +0000
-+++ src/OpenSceneGraph-3.4.0/src/osgPlugins/ffmpeg/FFmpegDecoderAudio.cpp 2016-02-18 21:26:17.071140100 +0000
-@@ -227,8 +227,7 @@
- if (avcodec_open2(m_context, p_codec, NULL) < 0)
- throw std::runtime_error("avcodec_open() failed");
-
-- m_context->get_buffer = avcodec_default_get_buffer;
-- m_context->release_buffer = avcodec_default_release_buffer;
-+ m_context->get_buffer2 = avcodec_default_get_buffer2;
-
- }
-
-